"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getErrorClass = exports.ValidationCase = void 0;
const configuration_error_js_1 = require("./configuration-error.js");
const invalid_cursor_error_js_1 = require("./invalid-cursor-error.js");
var ValidationCase;
(function (ValidationCase) {
    ValidationCase[ValidationCase["Configuration"] = 0] = "Configuration";
    ValidationCase[ValidationCase["Cursor"] = 1] = "Cursor";
})(ValidationCase = exports.ValidationCase || (exports.ValidationCase = {}));
function getErrorClass(validationCase) {
    switch (validationCase) {
        case ValidationCase.Configuration:
            return configuration_error_js_1.ConfigurationError;
        case ValidationCase.Cursor:
            return invalid_cursor_error_js_1.InvalidCursorError;
        default:
            throw new TypeError(`Unknown validation case ${validationCase}`);
    }
}
exports.getErrorClass = getErrorClass;
//# sourceMappingURL=get-error-class.js.map